Subject: Re: Should `@` be really a valid git tag name?

From: Junio C Hamano <[email-masked]>
Date: Fri, 17 Sep 2021 17:25:52 -0700

Carlo Arenas <[email-masked]> writes:

> On Fri, Sep 17, 2021 at 4:06 PM Junio C Hamano <[email-masked]> wrote:
>>
>> Carlo Marcelo Arenas Belón <[email-masked]> writes:
>>
>> > I was leaning towards something like that plus a Documentation update, but
>> > noticed that the current behaviour was inconsistent, and the confusion
>> > pointed out by Junio seems to indicate it is better if fully restricted.
>>
>> That is a bad move, as existing repositories may have a ref with
>> such a name.
> ...
>> If we tighten anything retroactively, we probably should forgid '@'
>> short-hand that stands for HEAD, I would think.
>
> regardless of the merits of that feature, it has been in git since
> ~v1.8.4, so its removal will also be breaking the user experience
> IMHO.

I know, but it is lessor of two evils.

I think it is OK to forbid at the higher level Porcelain, while
still allowing read access, but keep the door open for plumbing,
just like Peff suggested.